Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005StableLineCrossingsTable Class Reference

`#include <GT2005StableLineCrossingsTable.h>`

Collaboration diagram for GT2005StableLineCrossingsTable:

[legend]
List of all members.

## Public Types
enum | CrossingType { lineCrossing, middleCircle }
enum | CrossingClass { unknownCrossing, virtualCrossing, lCrossing, tCrossing, falseCrossing }
enum | { NUMBER_OF_CROSSINGS = 20, NUMBER_OF_CLASSIFIED_CROSSINGS = 18, NUMBER_OF_VIRTUAL_CROSSINGS = 4, NUMBER_OF_T_CROSSINGS = 6, NUMBER_OF_L_CROSSINGS = 8, NUMBER_OF_FALSE_CROSSINGS = 2 }
## Public Member Functions
| GT2005StableLineCrossingsTable ()
Vector2< double > | getClosestPoint (const Vector2< double > &point, CrossingType type)
Vector2< double > | getClassifiedClosestPoint (const Vector2< double > &point, CrossingClass crossingClass)
## Public Attributes
Vector2< double > | allCrossings [NUMBER_OF_CLASSIFIED_CROSSINGS]
Vector2< double > | virtualCrossings [NUMBER_OF_VIRTUAL_CROSSINGS]
Vector2< double > | tCrossings [NUMBER_OF_T_CROSSINGS]
Vector2< double > | lCrossings [NUMBER_OF_L_CROSSINGS]
Vector2< double > | falseCrossings [NUMBER_OF_FALSE_CROSSINGS]
## Static Public Attributes
int | NO_POINT_DISTANCE = 100000
double | crossingsX [NUMBER_OF_CROSSINGS]
double | crossingsY [NUMBER_OF_CROSSINGS]
## Private Member Functions
void | initAllCrossings ()
void | initVirtualCrossings ()
void | initTCrossings ()
void | initLCrossings ()
void | initFalseCrossings ()

## Member Enumeration Documentation

enum GT2005StableLineCrossingsTable::CrossingType

  | Enumeration values:
  lineCrossing |
  middleCircle |
Definition at line 15 of file GT2005StableLineCrossingsTable.h.

enum GT2005StableLineCrossingsTable::CrossingClass

  | Enumeration values:
  unknownCrossing |
  virtualCrossing |
  lCrossing |
  tCrossing |
  falseCrossing |
Definition at line 20 of file GT2005StableLineCrossingsTable.h.

anonymous enum

  | Enumeration values:
  NUMBER_OF_CROSSINGS |
  NUMBER_OF_CLASSIFIED_CROSSINGS |
  NUMBER_OF_VIRTUAL_CROSSINGS |
  NUMBER_OF_T_CROSSINGS |
  NUMBER_OF_L_CROSSINGS |
  NUMBER_OF_FALSE_CROSSINGS |
Definition at line 35 of file GT2005StableLineCrossingsTable.h.

## Constructor & Destructor Documentation

GT2005StableLineCrossingsTable::GT2005StableLineCrossingsTable | ( |  | ) |

| Definition at line 64 of file GT2005StableLineCrossingsTable.cpp. References initAllCrossings(), initFalseCrossings(), initLCrossings(), initTCrossings(), and initVirtualCrossings().

Here is the call graph for this function:

## Member Function Documentation

Vector2< double > GT2005StableLineCrossingsTable::getClosestPoint | ( | const Vector2< double > & | point,
|  | CrossingType | type
| ) |

| Definition at line 74 of file GT2005StableLineCrossingsTable.cpp. References Vector2< V >::abs(), crossingsX, crossingsY, NO_POINT_DISTANCE, NUMBER_OF_CROSSINGS, and point.

Here is the call graph for this function:

Vector2< double > GT2005StableLineCrossingsTable::getClassifiedClosestPoint | ( | const Vector2< double > & | point,
|  | CrossingClass | crossingClass
| ) |

| Definition at line 92 of file GT2005StableLineCrossingsTable.cpp. References Vector2< V >::abs(), allCrossings, falseCrossings, lCrossings, NO_POINT_DISTANCE, NUMBER_OF_CLASSIFIED_CROSSINGS, NUMBER_OF_FALSE_CROSSINGS, NUMBER_OF_L_CROSSINGS, NUMBER_OF_T_CROSSINGS, NUMBER_OF_VIRTUAL_CROSSINGS, point, tCrossings, unknownCrossing, and virtualCrossings. Referenced by GT2005StableSelfLocator::updateByCrossing().

Here is the call graph for this function:

void GT2005StableLineCrossingsTable::initAllCrossings | ( |  | ) | `[private]`

| Definition at line 140 of file GT2005StableLineCrossingsTable.cpp. References allCrossings, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005StableLineCrossingsTable().

void GT2005StableLineCrossingsTable::initVirtualCrossings | ( |  | ) | `[private]`

| Definition at line 203 of file GT2005StableLineCrossingsTable.cpp. References virtualCrossings, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005StableLineCrossingsTable().

void GT2005StableLineCrossingsTable::initTCrossings | ( |  | ) | `[private]`

| Definition at line 224 of file GT2005StableLineCrossingsTable.cpp. References tCrossings, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005StableLineCrossingsTable().

void GT2005StableLineCrossingsTable::initLCrossings | ( |  | ) | `[private]`

| Definition at line 245 of file GT2005StableLineCrossingsTable.cpp. References lCrossings, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005StableLineCrossingsTable().

void GT2005StableLineCrossingsTable::initFalseCrossings | ( |  | ) | `[private]`

| Definition at line 274 of file GT2005StableLineCrossingsTable.cpp. References lCrossings, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005StableLineCrossingsTable().

## Member Data Documentation

int GT2005StableLineCrossingsTable::NO_POINT_DISTANCE = 100000`[static]`

| Definition at line 3 of file GT2005StableLineCrossingsTable.cpp. Referenced by getClassifiedClosestPoint(), and getClosestPoint().

double GT2005StableLineCrossingsTable::crossingsX`[static]`

| Initial value:
     {
        xPosOwnGroundline,
        xPosOwnGroundline,
        xPosOwnGroundline,
        xPosOwnGroundline,

        xPosOwnPenaltyArea,
        xPosOwnPenaltyArea,
        xPosOwnPenaltyArea,
        xPosOwnPenaltyArea,

        xPosHalfWayLine,
        xPosHalfWayLine,
        xPosHalfWayLine,
        xPosHalfWayLine,

        xPosOpponentPenaltyArea,
        xPosOpponentPenaltyArea,
        xPosOpponentPenaltyArea,
        xPosOpponentPenaltyArea,

        xPosOpponentGroundline,
        xPosOpponentGroundline,
        xPosOpponentGroundline,
        xPosOpponentGroundline

      }
Definition at line 7 of file GT2005StableLineCrossingsTable.cpp. Referenced by getClosestPoint().

double GT2005StableLineCrossingsTable::crossingsY`[static]`

| Initial value:
    {
        yPosLeftGroundline,
        yPosLeftPenaltyArea,
        yPosRightPenaltyArea,
        yPosRightGroundline,

        yPosLeftGroundline,
        yPosLeftPenaltyArea,
        yPosRightPenaltyArea,
        yPosRightGroundline,

        yPosLeftGroundline,
        yPosLeftPenaltyArea,
        yPosRightPenaltyArea,
        yPosRightGroundline,

        yPosLeftGroundline,
        yPosLeftPenaltyArea,
        yPosRightPenaltyArea,
        yPosRightGroundline,

        yPosLeftGroundline,
        yPosLeftPenaltyArea,
        yPosRightPenaltyArea,
        yPosRightGroundline

      }
Definition at line 35 of file GT2005StableLineCrossingsTable.cpp. Referenced by getClosestPoint().

Vector2<double> GT2005StableLineCrossingsTable::allCrossings[NUMBER_OF_CLASSIFIED_CROSSINGS]

| Definition at line 47 of file GT2005StableLineCrossingsTable.h. Referenced by getClassifiedClosestPoint(), and initAllCrossings().

Vector2<double> GT2005StableLineCrossingsTable::virtualCrossings[NUMBER_OF_VIRTUAL_CROSSINGS]

| Definition at line 48 of file GT2005StableLineCrossingsTable.h. Referenced by getClassifiedClosestPoint(), and initVirtualCrossings().

Vector2<double> GT2005StableLineCrossingsTable::tCrossings[NUMBER_OF_T_CROSSINGS]

| Definition at line 49 of file GT2005StableLineCrossingsTable.h. Referenced by getClassifiedClosestPoint(), and initTCrossings().

Vector2<double> GT2005StableLineCrossingsTable::lCrossings[NUMBER_OF_L_CROSSINGS]

| Definition at line 50 of file GT2005StableLineCrossingsTable.h. Referenced by getClassifiedClosestPoint(), initFalseCrossings(), and initLCrossings().

Vector2<double> GT2005StableLineCrossingsTable::falseCrossings[NUMBER_OF_FALSE_CROSSINGS]

| Definition at line 51 of file GT2005StableLineCrossingsTable.h. Referenced by getClassifiedClosestPoint().

The documentation for this class was generated from the following files:

- Modules/SelfLocator/GT2005StableSelfLocator/GT2005StableLineCrossingsTable.h
- Modules/SelfLocator/GT2005StableSelfLocator/GT2005StableLineCrossingsTable.cpp